@tailwind base;
@tailwind components;
@tailwind utilities;
@import url('https://fonts.googleapis.com/css2?family=Hanken+Grotesk:wght@100;200;300;400;500;600&family=Roboto&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: none;
    font-family: 'Roboto', sans-serif;
    font-size: unset;
}

header {
    z-index: 1000000 !important;
}

header .has_child_menu {
    position: relative;
    cursor: default;
}

.header-logo img,
footer img {
    width: 270px;
}

@media(max-width: 576px) {
    header>div {
        padding: 20px !important;
    }

    header>ul {
        padding: 0px 20px !important;
        gap: 10px !important;
    }

    .mobile_search_trigger {
        right: 20px;
    }

    .header-logo img,
    footer img {
        width: 190px;
    }

    header ul li {
        font-size: 14px !important;
    }

    header>div svg {
        scale: 0.9;
    }
}

@media(min-width: 1240px) {
    .mobile-favorites {
        display: none !important;
    }
}

@media(max-width: 1240px) {
    .desktop-favorites {
        display: none !important;
    }
}

.sub_menu_items {
    position: absolute;
    top: 100%;
    background: white;
    border: 1px solid #EBEBEB;
    pointer-events: none;
    opacity: 0;
    transition: 0.3s;
    padding: 20px;
}

header .has_child_menu:hover .sub_menu_items {
    opacity: 1;
    pointer-events: unset;
}

.sub_menu_items h1 {
    font-weight: bold;
    width: 100%;
    padding-bottom: 15px;
}

.sub_menu_items .sub_menu_items_holder {
    display: flex;
    gap: 30px;
    cursor: default;
}

.sub_menu_items .sub_menu_items_holder li {
    white-space: nowrap;
}

.sub_menu_items .sub_menu_items_holder li a {
    width: 90%;
    margin: 5px 0px;
    display: block;
}

.sub_menu_items .sub_menu_items_holder img {
    aspect-ratio: 1 / 1;
    max-width: unset;
    object-fit: cover;
    position: absolute;
    top: -1px;
    right: 0;
    transition: 0.1s;
    pointer-events: none;
    display: none;
    transform: translateX(100%);
    height: 100%;
}

.margin-footer {
    margin-top: 60px;
}

.form_bg {
    background: white;
    border-radius: 3px;
    padding: 15px;
    -webkit-box-shadow: -1px 14px 39px -12px rgba(0, 0, 0, 0.01);
    -moz-box-shadow: -1px 14px 39px -12px rgba(0, 0, 0, 0.01);
    box-shadow: -1px 14px 39px -12px rgba(0, 0, 0, 0.01);
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type=number] {
    -moz-appearance: textfield;
}

.logo_upload input {
    display: none;
}

.logo_upload label {
    margin: 15px auto 0;
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    width: 100px !important;
    height: 100px !important;
    background-image: url(/assets/media/default-image.png);
    cursor: pointer;
    border-radius: 50%;
    transition: 0.3s;
    background-blend-mode: multiply;
}

.logo_upload label:hover {
    background-color: rgba(0, 0, 0, 0.3);
}

.logo_upload h1 {
    text-align: center;
    margin-top: 20px;
}

.modal_trigger {
    background-color: #C0A17C;
    padding: 8px 12px;
    color: white;
    border-radius: 5px;
    cursor: pointer;
}

.modal_container,
.modal_has_children {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 17px;
    padding-top: 30px;
    background-color: rgba(255, 255, 255, 0.3);
    position: fixed;
    backdrop-filter: blur(3px);
    width: 100vw;
    height: 100vh;
    top: 0;
    z-index: 999;
}

.modal_container>div,
.modal_has_children>div {
    display: flex;
    gap: 20px;
    flex-direction: column;
    background: white;
    border-radius: 10px;
    padding: 15px;
    -webkit-box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    -moz-box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    max-width: 576px;
}

.modal_container div>div,
.modal_has_children div>div {
    display: flex;
    justify-content: center;
    gap: 20px;
}

.modal_container .submit,
.modal_container .cancel,
.modal_has_children .submit,
.modal_has_children .cancel {
    padding: 8px 12px;
    border-radius: 5px;
    color: white;
    cursor: pointer;
    min-width: 60px;
    text-align: center;
}

.modal_container .submit,
.modal_has_children submit {
    background-color: red;
}

.modal_container .cancel,
.modal_has_children .cancel {
    background: rgb(5, 85, 7);
}

.modal_container,
.modal_has_children {
    text-align: center;
}

.modal_has_children ul {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    text-align: left;
    padding: 0px 20px;
    gap: 15px;
    counter-reset: css-counter 0;
}

.modal_has_children>div{
    overflow-y: auto;
    max-height: 90vh;
}
.modal_has_children>div::-webkit-scrollbar {
    display: none;
}

.modal_has_children ul li {
    counter-increment: css-counter 1;
    position: relative;
    padding-left: 10px;
}

.modal_has_children ul li:before {
    content: counter(css-counter) ". ";
    position: absolute;
    left: -10px;
}

.hide {
    display: none;
}

.header_profile_image {
    width: 25px;
    height: 25px;
    object-fit: cover;
    border-radius: 50%;
}

a {
    color: unset;
    text-decoration: unset;
}

ol,
ul,
dl {
    padding-left: unset;
    margin-bottom: unset;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-size: unset;
    margin-bottom: unset;
}

.menu_hover_parent {
    position: relative;
}

.menu_hover_parent>ul {
    display: block;
    opacity: 0;
    pointer-events: none;
    transition: 0.3s;
    position: absolute;
    right: -40px;
    top: 35px;
}


.menu_hover_parent:hover>ul {
    opacity: 1;
    pointer-events: unset;
}

p {
    margin-bottom: unset;
}

.category_pattern {
    display: none !important;
}

@media(min-width: 1240px) {
    .publish_link {
        display: none !important;
    }

    .mobile_search {
        display: none !important;
    }

    .mobile_search_trigger {
        display: none !important;
    }
}

.plan_card {
    max-width: 400px;
}

.bl_c {
    padding: 5px 5px 5px 13px !important;
    border-left: 1px solid #e5e4e4 !important;
    border-radius: 0px !important;
    height: 34px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
}

.desktop_publish_link {
    margin-right: 15px;
}

@media(max-width: 370px) {
    .bl_c {
        padding: 0px !important;
        border: unset !important;
    }
}

.view_all {
    color: #C0A17C;
}

.city_list_parent {
    width: 100%;
    position: relative;
}

.city_list {
    z-index: 100;
    position: absolute;
    top: 100%;
    background: white;
    border: 1px solid #f8fafc;
    border-radius: 10px;
    width: 100%;
    -webkit-box-shadow: -1px 14px 39px -12px rgba(0, 0, 0, 0.01);
    -moz-box-shadow: -1px 14px 39px -12px rgba(0, 0, 0, 0.01);
    box-shadow: -1px 14px 39px -12px rgba(0, 0, 0, 0.01);
    overflow-y: auto;
    max-height: 200px;
}

.city_list.registration {
    width: calc(100% - 23px);
}

.city_list:empty {
    display: none;
}

/* width */
::-webkit-scrollbar {
    width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
    background: #f1f1f1;
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: #888;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: #555;
}

.city_list li {
    cursor: pointer;
    padding: 10px;
    border-bottom: 1px solid rgba(0, 0, 0, 0.05);
    transition: 0.3s;
}

.city_list li:hover {
    background: rgba(0, 0, 0, 0.05);
}

.nice-select.open .nice-select-dropdown {
    max-width: 100% !important;
    z-index: 10000;
}

.dropdown-item.active,
.dropdown-item:active {
    background-color: #C0A17C;
}